/**
 * The AsyncGenerator module provides tools for working with AsyncGenerator<T> type in a functional way.
 *
 * In functional jargon, this module provides a monadic interface over AsyncGenerator<T>.
 *
 * @since 1.0.0
 */
import { Task } from "fp-ts/lib/Task";
import { LazyArg } from "fp-ts/lib/function";
/**
 * @category conversions
 * @since 1.0.0
 */
export declare function fromLazyArg<A>(f: () => A): AsyncGenerator<A>;
/**
 * @category conversions
 * @since 1.0.0
 */
export declare function fromTask<A>(f: Task<A>): AsyncGenerator<A>;
/**
 * @category conversions
 * @since 1.0.0
 */
export declare function fromIterable<A>(fa: Iterable<A>): LazyArg<AsyncGenerator<A>>;
/**
 * @category conversions
 * @since 1.0.0
 */
export declare function fromAsyncIterable<A>(fa: AsyncIterable<A>): AsyncGenerator<A>;
